Update social configuration.
curl --request PUT \
--url https://apix.us.amity.co/api/v3/network-settings/social \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"isFollowWithRequestEnabled": false,
"isAllowEditPostWhenReviewingEnabled": true,
"showOnlyMyFeed": false,
"showMyPost": true,
"showEveryonePost": true,
"showCommunityPost": true,
"showFollowingPost": true,
"isAllowMentionedChannelEnabled": true,
"disallowNonMemberInteractInCommunity": true,
"storyExpiryTimeMinutes": 1440,
"allowAllUserToCreateStory": true,
"allowJoinPrivateCommunity": true,
"maxGlobalPinnedPost": 1
}
'import requests
url = "https://apix.us.amity.co/api/v3/network-settings/social"
payload = {
"isFollowWithRequestEnabled": False,
"isAllowEditPostWhenReviewingEnabled": True,
"showOnlyMyFeed": False,
"showMyPost": True,
"showEveryonePost": True,
"showCommunityPost": True,
"showFollowingPost": True,
"isAllowMentionedChannelEnabled": True,
"disallowNonMemberInteractInCommunity": True,
"storyExpiryTimeMinutes": 1440,
"allowAllUserToCreateStory": True,
"allowJoinPrivateCommunity": True,
"maxGlobalPinnedPost": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
isFollowWithRequestEnabled: false,
isAllowEditPostWhenReviewingEnabled: true,
showOnlyMyFeed: false,
showMyPost: true,
showEveryonePost: true,
showCommunityPost: true,
showFollowingPost: true,
isAllowMentionedChannelEnabled: true,
disallowNonMemberInteractInCommunity: true,
storyExpiryTimeMinutes: 1440,
allowAllUserToCreateStory: true,
allowJoinPrivateCommunity: true,
maxGlobalPinnedPost: 1
})
};
fetch('https://apix.us.amity.co/api/v3/network-settings/social', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"enabled": true,
"membershipAcceptance": "automatic",
"isFollowWithRequestEnabled": false,
"isAllowEditPostWhenReviewingEnabled": true,
"disallowNonMemberInteractInCommunity": true,
"allowJoinPrivateCommunity": false,
"globalFeed": {
"showOnlyMyFeed": false,
"showMyPost": true,
"showEveryonePost": true,
"showCommunityPost": true,
"showFollowingPost": true,
"maxGlobalPinnedPost": 123
},
"story": {
"expiryTimeMinutes": 720,
"allowAllUserToCreateStory": false
}
}{
"status": "error",
"code": 400000,
"message": "Bad Request."
}{
"status": "error",
"code": 500000,
"message": "Unexpected error"
}Network Setting
Update social configuration.
Update social configuration.
PUT
/
api
/
v3
/
network-settings
/
social
Update social configuration.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
information for a network setting
Available options:
public, private Required range:
60 <= x <= 1440Allow all user to create story (default will allow only user that have permission to create story)
Controls whether users can join private communities directly or need to be added by moderators.
true- Allow users to join private communities by themselvesfalse- Users need to be added to join private communities
⚠️ DEPRECATED NOTICE
Community moderators are now be able to respond whether to allow users to become members of private communities.
Maximum number of global pinned post (only super admin)
Required range:
1 <= x <= 20Response
Social configuration
Available options:
public, private Controls how users can join the network
Available options:
invitation, automatic Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I